Make sure tile cookbook only requests the required postgres version
[chef.git] / roles / bowser.rb
1 name "bowser"
2 description "Master role applied to bowser"
3
4 default_attributes(
5   :networking => {
6     :interfaces => {
7       :external_ipv4 => {
8         :interface => "bond0",
9         :role => :external,
10         :family => :inet,
11         :address => "138.44.68.106",
12         :prefix => "30",
13         :gateway => "138.44.68.105",
14         :bond => {
15           :slaves => %w[ens14f0 ens14f1]
16         }
17       }
18     }
19   },
20   :postgresql => {
21     :settings => {
22       :defaults => {
23         :shared_buffers => "8GB",
24         :maintenance_work_mem => "7144MB",
25         :effective_cache_size => "16GB"
26       }
27     }
28   },
29   :sysctl => {
30     :postgres => {
31       :comment => "Increase shared memory for postgres",
32       :parameters => {
33         "kernel.shmmax" => 9 * 1024 * 1024 * 1024,
34         "kernel.shmall" => 9 * 1024 * 1024 * 1024 / 4096
35       }
36     }
37   },
38   :tile => {
39     :database => {
40       :cluster => "12/main",
41       :postgis => "3"
42     },
43     :styles => {
44       :default => {
45         :revision => "v5.0.0",
46         :tile_directories => [
47           { :name => "/store/tiles/default", :min_zoom => 0, :max_zoom => 19 }
48         ]
49       }
50     }
51   }
52 )
53
54 run_list(
55   "role[aarnet]",
56   "role[tile]"
57 )